Market Graph
Cypher query
One read statement per request; COPY, LOAD, CALL, INSTALL, EXPORT, and writes are rejected.
Results are capped at 10,000 rows, queries at 10,000 characters, and execution at 30 seconds.
UNION ALL is not supported; run separate queries instead.
POST
/
api
/
graph
/
cypher
Cypher query
curl --request POST \
--url https://api.probalytics.io/api/graph/cypher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation",
"params": {
"id": "01234567-89ab-cdef-0123-456789abcdef"
}
}
'import requests
url = "https://api.probalytics.io/api/graph/cypher"
payload = {
"query": "MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation",
"params": { "id": "01234567-89ab-cdef-0123-456789abcdef" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation',
params: {id: '01234567-89ab-cdef-0123-456789abcdef'}
})
};
fetch('https://api.probalytics.io/api/graph/cypher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.probalytics.io/api/graph/cypher",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => 'MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation',
'params' => [
'id' => '01234567-89ab-cdef-0123-456789abcdef'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.probalytics.io/api/graph/cypher"
payload := strings.NewReader("{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.probalytics.io/api/graph/cypher")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.probalytics.io/api/graph/cypher")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}"
response = http.request(request)
puts response.read_body{
"rows": [
{}
]
}{
"detail": "<string>"
}{
"status": 123,
"message": "<string>",
"data": {}
}{
"status": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
API key in the format credential_id:credential_secret.
Example: Authorization: Bearer api_brave_cosmic_falcon:sk_life_AbCdEfGh...
Body
application/json
Response
Query result.
One object per result row, keyed by the RETURN column names.
⌘I
Cypher query
curl --request POST \
--url https://api.probalytics.io/api/graph/cypher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation",
"params": {
"id": "01234567-89ab-cdef-0123-456789abcdef"
}
}
'import requests
url = "https://api.probalytics.io/api/graph/cypher"
payload = {
"query": "MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation",
"params": { "id": "01234567-89ab-cdef-0123-456789abcdef" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation',
params: {id: '01234567-89ab-cdef-0123-456789abcdef'}
})
};
fetch('https://api.probalytics.io/api/graph/cypher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.probalytics.io/api/graph/cypher",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => 'MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation',
'params' => [
'id' => '01234567-89ab-cdef-0123-456789abcdef'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.probalytics.io/api/graph/cypher"
payload := strings.NewReader("{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.probalytics.io/api/graph/cypher")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.probalytics.io/api/graph/cypher")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"MATCH (m:Market {id: $id})-[r:RELATION]->(b:Market) RETURN b.id AS id, r.relation AS relation\",\n \"params\": {\n \"id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n }\n}"
response = http.request(request)
puts response.read_body{
"rows": [
{}
]
}{
"detail": "<string>"
}{
"status": 123,
"message": "<string>",
"data": {}
}{
"status": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}